## libdevel-gdb-perl 2.02

=== debian/changelog ===
libdevel-gdb-perl (2.02-6) unstable; urgency=medium

  [ Holger Levsen ]
  * Import Debian changes 2.02-4.1

  [ Debian Janitor ]
  * Apply multi-arch hints. + libdevel-gdb-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 14:29:26 +0000

libdevel-gdb-perl (2.02-5) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 13 Jun 2022 15:54:46 +0100

libdevel-gdb-perl (2.02-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 17:27:33 +0200

libdevel-gdb-perl (2.02-4) unstable; urgency=medium

  * Remove Deepak Tripathi from Uploaders. Thanks for your work!
  * Drop Split-brittle-test-into-two-smaller-ones.patch which was meant
    for debugging test issues.
  * Skip test t/expect.t during build and autopkgtest. The test causes
    occasional, probably timing-related, failures. (Closes: #784845)
  * Drop libexpect-perl from Build-Depends-Indep. Not needed after the
    relevant test was disabled.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Oct 2016 20:08:31 +0200

libdevel-gdb-perl (2.02-3) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ intrigeri ]
  * Split-brittle-test-into-two-smaller-ones.patch: new patch,
    to help debug #784845.
  * Declare compliance with Standards-Version 3.9.8.
  * Enable autopkgtest-pkg-perl test suite.

 -- intrigeri <intrigeri@debian.org>  Thu, 30 Jun 2016 12:36:28 +0000

libdevel-gdb-perl (2.02-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * Change my email address.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Daniel Lintott ]
  * Convert package to short format dh and compat 9
  * Refresh packaging using dh-make-perl refresh
    + Remove README.source
    + Update debian/control
    + Migrate copyright to format 1.0
    + Migate package to source format 3.0(quilt)
  * Add DEP3 patch header to stdin.patch
  * Add patch to correct spelling error in POD and code

 -- Daniel Lintott <daniel@serverb.co.uk>  Mon, 14 Apr 2014 18:22:39 +0100

libdevel-gdb-perl (2.02-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: use generic upstream URL.
  * Add Deepak Tripathi and /me to Uploaders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 02 Feb 2008 19:12:16 +0100

libdevel-gdb-perl (2.01-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed:
    Homepage pseudo-field (Description); XS-Vcs-Svn fields.
  * Add gdb and libexpect-perl to Build-Depends-Indep (used in tests),
    caught by Lucas' Build Daemon from Hell. Create patch stdin.patch (to
    make tests work without a STDIN), add quilt framework.
  * Set Standards-Version to 3.7.3 (no changes needed).
  * Set debhelper compatibility level to 6.
  * debian/rules:
    - delete /usr/lib/perl5 only if it exists.
    - move tests to build-stamp target
    - remove OPTIMIZE, we don't compile anything
    - move dh_clean before make realclean
    - let install-stamp target depend on build-stamp
    - remove call to dh_link
  * debian/watch: use dist-based URL.
  * debian/copyright: remove reference to LICENSE file.

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 25 Jan 2008 15:48:28 -0500

libdevel-gdb-perl (2.0-1) unstable; urgency=low

  * Initial Release (Closes: #436800)

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Sun, 12 Aug 2007 02:41:39 +0530
