=== debian/watch ===
version=4
https://metacpan.org/release/Devel-GDB .*/Devel-GDB-v?@ANY_VERSION@@ARCHIVE_EXT@$
